# $Id: krename.spec,v 1.2 2004/04/07 20:13:27 rexdieter Exp $

Summary: A batch renamer
Name:	 krename 
Version: 2.8.5 
Release: 0.fdr.0%{?dist_tag} 
License: GPL
Url:	 http://krename.sourceforge.net
Group: 	 Applications/File	
Source:  http://dl.sourceforge.net/sourceforge/krename/krename-2.8.5.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: desktop-file-utils

BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}

%define desktop_file 1


%description
Krename is a very powerful batch file renamer for KDE3 which can rename a 
list of files based on a set of expressions. It can copy/move the files to 
another directory or simply rename the input files. Krename supports many 
conversion operations, including conversion of a filename to lowercase or 
to uppercase, conversion of the first letter of every word to uppercase, 
adding numbers to filenames, finding and replacing parts of the filename, 
and many more. It can also change access and modification dates, permissions,
and file ownership.


%prep
%setup


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{?!debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final } \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%if "%{?desktop_file}" == "1"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --delete-original --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "X-Fedora" \
  --add-category "Utility" \
  --add-category "Application" \
  $RPM_BUILD_ROOT%{_datadir}/appl*/*/*.desktop
%endif

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%lang(en) %doc %{_docdir}/HTML/en/*
%lang(de) %doc %{_docdir}/HTML/de/*
%{_bindir}/*
%{_datadir}/apps/*
%if "%{?desktop_file}" == "1"
%{_datadir}/applications/*.desktop
%else
%{_datadir}/appl*/*/*.desktop
%endif
%{_datadir}/icons/*/*/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 2.8.5-0.fdr.0
- 2.8.5 

